{$if not def DADATYPES_SOUNDCLASS_H} CONST DATATYPES_SOUNDCLASS_H=0;


{ ************************************************************************
  ** KickPascal-Include-Datei "datatypes/soundclass.h" zu Kickstart 3.0 **
  ************************************************************************ }

{$if not def UTILITY_TAGITEM_H;incl "utility/tagitem.h";endif}
{$if not def DATATYPES_DATATYPESCLASS_H;incl "datatypes/datatypesclass.h";endif}
{$if not def LIBRARIES_IFFPARSE_H;incl "libraries/iffparse.h";endif}


CONST
 SOUNDDTCLASS = "sound.datatype";

 SDTA_Dummy             = (DTA_Dummy + 500);
 SDTA_VoiceHeader       = (SDTA_Dummy + 1);
 SDTA_Sample            = (SDTA_Dummy + 2);
 SDTA_SampleLength      = (SDTA_Dummy + 3);
 SDTA_Period            = (SDTA_Dummy + 4);
 SDTA_Volume            = (SDTA_Dummy + 5);
 SDTA_Cycles            = (SDTA_Dummy + 6);

 CMP_NONE     = 0;
 CMP_FIBDELTA = 1;

TYPE
 p_VoiceHeader = ^VoiceHeader;
 VoiceHeader = RECORD
  vh_OneShotHiSamples   : Long;
  vh_RepeatHiSamples    : Long;
  vh_SamplesPerHiCycle  : Long;
  vh_SamplesPerSec      : Word;
  vh_Octaves            : Byte;
  vh_Compression        : Byte;
  vh_Volume             : Long;
 end;

CONST
 ID_8SVX = $38535658; { "8SVX" }
 ID_VHDR = $56484452; { "VHDR" }

{$if not def ID_BODY}
 ID_BODY = $424F4459; { "BODY" }
{$endif}

{$endif}
