{$if not def DATATYPES_TEXTCLASS_H} CONST DATATYPES_TEXTCLASS_H=0;


{ ***********************************************************************
  ** KickPascal-Include-Datei "datatypes/textclass.h" zu Kickstart 3.0 **
  *********************************************************************** }

{$if not def UTILITY_TAGITEM_H;incl "utility/tagitem.h";endif}
{$if not def DATATYPES_DATATYPESCLASS_H;incl "datatypes/datatypesclass.h";endif}
{$if not def LIBRARIES_IFFPARSE_H;incl "libraries/iffparse.h";endif}


CONST
 TEXTDTCLASS = "text.datatype";

 TDTA_Buffer    = (DTA_Dummy + 300);
 TDTA_BufferLen = (DTA_Dummy + 301);
 TDTA_LineList  = (DTA_Dummy + 302);
 TDTA_WordSelect= (DTA_Dummy + 303);
 TDTA_WordDelim = (DTA_Dummy + 304);

TYPE
 p_Line = ^Line;
 Line = RECORD
  ln_Link       : MinNode;
  ln_Text       : Str;
  ln_TextLen    : Long;
  ln_XOffset    : Word;
  ln_YOffset    : Word;
  ln_Width      : Word;
  ln_Height     : Word;
  ln_Flags      : Word;
  ln_FgPen      : Short;
  ln_BgPen      : Short;
  ln_Style      : Long;
  ln_Data       : Ptr;
 end;
 
CONST
 LNF_LF         = $1;
 LNF_LINK       = $2;
 LNF_OBJECT     = $4;
 LNF_SELECTED   = $8;
 
 ID_FTXT = $46545854; { "FTXT" }
 ID_CHRS = $43485253; { "CHRS" }

{$endif}
