{$if not def PREFS_FONT_H} CONST PREFS_FONT_H=TRUE;

{ **************************************************************
  ** KickPascal-Include-Datei "prefs/font.h" zu Kickstart 3.0 **
  ************************************************************** }

{$if not def LIBRARIES_IFFPARSE_H;incl "libraries/iffparse.h";endif}
{$if not def GRAPHICS_TEXT_H;incl "graphics/text.h";endif}

CONST
  ID_FONT      = $464f4e54; { "FONT" }
  FONTNAMESIZE = 128;

  FP_WBFONT    = 0;
  FP_SYSFONT   = 1;
  FP_SCREENFONT= 2;
  
TYPE 
  p_FontPrefs = ^FontPrefs;
  FontPrefs = RECORD
   fp_Reserved  : array[0..2] of Long;
   fp_Reserved2 : Word;
   fp_Type      : Word;
   fp_FrontPen  : Byte;
   fp_BackPen   : Byte;
   fp_DrawMode  : Byte;
   fp_TextAttr  : TextAttr;
   fp_Name      : String[FONTNAMESIZE];
  end;

{$endif}
