{$if not def PREFS_LOCALE_H} CONST PREFS_LOCALE_H=TRUE;

{ ****************************************************************
  ** KickPascal-Include-Datei "prefs/locale.h" zu Kickstart 3.0 **
  **************************************************************** }

{$if not def LIBRARIES_IFFPARSE_H;incl "libraries/iffparse.h";endif}

CONST
 ID_LCLE = $4c434c45; { "LCLE" }
 ID_CTRY = $43545259; { "CTRY" }
 
TYPE
 p_CountryPrefs=^CountryPrefs;
 CountryPrefs = RECORD
  cp_Reserved       : array[0..3] of Long;
  cp_CountryCode    : Long;
  cp_TelephoneCode  : Long;
  cp_MeasuringSystem: Byte;
  cp_DateTimeFormat : String[80];
  cp_DateFormat     : String[40];
  cp_TimeFormat     : String[40];
  cp_ShortDateTimeFormat : String[80];
  cp_ShortDateFormat     : String[40];
  cp_ShortTimeFormat     : String[40];
  
  cp_DecimalPoint   : String[10];
  cp_GroupSeparator : String[10];
  cp_FracGroupSeparator  : String[10];
  cp_Grouping       : array[0..9] of Byte;
  cp_FracGrouping   : array[0..9] of Byte;
  
  cp_MonDecimalPoint: String[10];
  cp_MonGroupSeparator   : String[10];
  cp_MonFracGroupSeparator: String[10];
  cp_MonGrouping    : array[0..9] of Byte;
  cp_MonFracGrouping: array[0..9] of Byte;
  cp_MonFracDigits  : Byte;
  cp_MonIntFracDigits    : Byte;

  cp_MonCS          : String[10];
  cp_MonSmallCS     : String[10];
  cp_MonIntCS       : String[10];
  
  cp_MonPositiveSign     : String[10];
  cp_MonPositiveSpaceSep : Byte;
  cp_MonPositiveSignPos  : Byte;
  cp_MonPositiveCSPos    : Byte;
  
  cp_MonNegativeSign     : String[10];
  cp_MonNegativeSpaceSep : Byte;
  cp_MonNegativeSignPos  : Byte;
  cp_MonNegativeCSPos    : Byte;
  cp_CalendarType        : Byte;
 end;
 
 p_LocalePrefs=^LocalePrefs;
 LocalePrefs = RECORD
  lp_Reserved    : array[0..3] of Long;
  lp_CountryName : String[32];
  lp_PreferredLanguages : array[0..9] of string[30];
  lp_GMTOffset   : Long;
  lp_Flags       : Long;
  lp_CountryData : CountryPrefs;
 end;

{$endif}
